<?php

namespace Database\Factories;

use App\Models\OrderProduct;
use App\Models\ProductService;
use App\Models\ServiceFile;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class ProductServiceFactory extends Factory
{
    protected $model = ProductService::class;

    public function definition(): array
    {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'service_type' => $this->faker->word(),
            'placement' => $this->faker->word(),
            'setup_amount' => $this->faker->word(),
            'amount' => $this->faker->word(),
            'amount_price' => $this->faker->word(),

            'order_product_id' => OrderProduct::factory(),
            'service_file_id' => ServiceFile::factory(),
        ];
    }
}
